﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ElectronicContactTelephoneMandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Lodge ElectronicContactTelephoneMandatories Validations</title>


<rule context="xbrli:xbrl[not(@i:nil = 'true' or @i:nil = '1')]">
<!--
        Rule ID: VR.ATO.FBT.000424
    
		IF (INT:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number 
			WHERE(TUPLE ELEMENT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = 03)
			) = NULLORBLANK
		AND (RP:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number 
			WHERE(TUPLE ELEMENT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = 03)
			) = NULLORBLANK
		RETURN VALIDATION MESSAGE
		ENDIF                      
    -->


<assert  id="VR.ATO.FBT.000424" diagnostics="DVR.ATO.FBT.000424" subject="pyde.02.00:ElectronicContact.Telephone.Area.Code" test="not(
                    (string-length(phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $Int.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code='03']) = 0
                    or count(phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $Int.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code='03']) = 0)
                    and
                    (string-length(phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $RP.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code='03']) = 0
                    or count(phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $RP.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code='03']) = 0)
                    )">Telephone number is required</assert>
</rule>

<rule context="phone1.02.00:ElectronicContactTelephone[not(@i:nil = 'true' or @i:nil = '1')]">
<!--
      WHERE IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone)
      IF pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULL 
      OR pyde.xx.xx:ElectronicContact.Telephone.Usage.Code <> "03" 
      OR pyde.xx.xx:Electronic Contact.Telephone.ServiceLine.Code <> SET ("01", "02")
      RETURN VALIDATION MESSAGE
      ENDIF
    -->


<assert  id="VR.ATO.GEN.432016" diagnostics="DVR.ATO.GEN.432016" subject="pyde.02.00:ElectronicContact.Telephone.Minimal.Number" test="not(
                      not(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil = 'true' or @i:nil = '1')]) or
                      pyde.02.00:ElectronicContact.Telephone.Usage.Code[not(@i:nil = 'true' or @i:nil = '1')] != '03' or
                      not(matches(pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code[not(@i:nil = 'true' or @i:nil = '1')],'^(01|02)$'))
                    )"></assert>

<!--
        Rule ID: VR.ATO.FBT.000435
    
        IF (INT:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier)
        <> NULLORBLANK
        AND 
        (INT:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number 
        WHERE(TUPLE ELEMENT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = 03)
        ) = NULLORBLANK
                RETURN VALIDATION MESSAGE
        ENDIF
    -->
<!--
        Rule ID: VR.ATO.FBT.000435
    
        IF (INT:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier)
        <> NULLORBLANK
        AND 
        (INT:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number 
        WHERE(TUPLE ELEMENT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = 03)
        ) = NULLORBLANK
                RETURN VALIDATION MESSAGE
        ENDIF
    
<assert  id="VR.ATO.FBT.000435" diagnostics="DVR.ATO.FBT.000435" subject="pyde.02.00:ElectronicContact.Telephone.Minimal.Number" test="not((string-length(pyid.02.00:Identifiers.TaxAgentNumber.Identifier[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) != 0
						            or count(pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil = 'true' or @i:nil = '1')]) != 0 )
                        and pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' 
                        and (count(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0  
                        or string-length(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0))">Agent's telephone number is required</assert>-->
<!--
        Rule ID: VR.ATO.FBT.000435
    
        IF (INT:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier)
        <> NULLORBLANK
        AND 
        (INT:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number 
        WHERE(TUPLE ELEMENT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = 03)
        ) = NULLORBLANK
                RETURN VALIDATION MESSAGE
        ENDIF
    
<assert  id="VR.ATO.FBT.000435" diagnostics="DVR.ATO.FBT.000435" subject="pyde.02.00:ElectronicContact.Telephone.Minimal.Number" test="not((string-length(pyid.02.00:Identifiers.TaxAgentNumber.Identifier[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) != 0
						            or count(pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil = 'true' or @i:nil = '1')]) != 0 )
                        and pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' 
                        and (count(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0  
                        or string-length(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0))">Agent's telephone number is required</assert>

        Rule ID: VR.ATO.FBT.000438
    
        IF (INT:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number WHERE(TUPLE ELEMENT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = 03)) <> NULLORBLANK
        AND (INT:pyde.xx.xx:ElectronicContact.Telephone.ServiceLine.Code WHERE(TUPLE ELEMENT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = 03)) = NULLORBLANK
            RETURN VALIDATION MESSAGE
        ENDIF
    -->
<!--
        Rule ID: VR.ATO.FBT.000435
    
        IF (INT:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier)
        <> NULLORBLANK
        AND 
        (INT:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number 
        WHERE(TUPLE ELEMENT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = 03)
        ) = NULLORBLANK
                RETURN VALIDATION MESSAGE
        ENDIF
    
<assert  id="VR.ATO.FBT.000435" diagnostics="DVR.ATO.FBT.000435" subject="pyde.02.00:ElectronicContact.Telephone.Minimal.Number" test="not((string-length(pyid.02.00:Identifiers.TaxAgentNumber.Identifier[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) != 0
						            or count(pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil = 'true' or @i:nil = '1')]) != 0 )
                        and pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' 
                        and (count(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0  
                        or string-length(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0))">Agent's telephone number is required</assert>

        Rule ID: VR.ATO.FBT.000438
    
        IF (INT:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number WHERE(TUPLE ELEMENT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = 03)) <> NULLORBLANK
        AND (INT:pyde.xx.xx:ElectronicContact.Telephone.ServiceLine.Code WHERE(TUPLE ELEMENT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = 03)) = NULLORBLANK
            RETURN VALIDATION MESSAGE
        ENDIF
    
<assert  id="VR.ATO.FBT.000438" diagnostics="DVR.ATO.FBT.000438" subject="pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code" test="not((string-length(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 and pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03')
						            and(string-length(pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0 and pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03'))">Tax Agent's service line code is required</assert>-->
</rule>
</pattern>