﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="EmailContent" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Lodge EmailContent Validations</title>


<rule context="email1.02.00:ElectronicContactElectronicMail[not(@i:nil = 'true' or @i:nil = '1')]">
<!--
            WHERE IN TUPLE(ElectronicContactElectronicMail1.xx.xx:ElectronicContactElectronicMail)
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text = NULLORBLANK) OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Usage.Code <> "03") 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.436276" diagnostics="DVR.ATO.GEN.436276" test="not(
                        not(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        or (pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[not(@i:nil='true' or @i:nil='1')] != '03')
                      )"></assert>
<!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH "@") 
            OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH "@")
            RETURN VALIDATION MESSAGE
            ENDIF	
        -->


<assert  id="VR.ATO.GEN.430222" diagnostics="DVR.ATO.GEN.430222" test="not(
                         matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(@)(.*)$','i') 
                         or 
                         matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(.*)(@)$','i')
                      )"></assert>
<!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS MORE THAN ONE "@"
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.430223" diagnostics="DVR.ATO.GEN.430223" test="not(
                          matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(.*)(@)(.*)(@)(.*)$','i') 
                      )"></assert>
<!--
          IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH ".") 
          OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH ".")
          RETURN VALIDATION MESSAGE
          ENDIF
        -->


<assert  id="VR.ATO.GEN.430224" diagnostics="DVR.ATO.GEN.430224" test="not(
                         matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(\.)(.*)$','i') 
                         or 
                         matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(.*)(\.)$','i')
                      )"></assert>
<!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS ".."
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.430226" diagnostics="DVR.ATO.GEN.430226" test="not(
                           matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(.*)(\.\.)(.*)$','i') 
                      )"></assert>
<!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS .@
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.430227" diagnostics="DVR.ATO.GEN.430227" test="not(
                          matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(.*)(\.@)(.*)$','i')
                      )"></assert>
<!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS "@."
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.430228" diagnostics="DVR.ATO.GEN.430228" test="not(
                        matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(.*)(@\.)(.*)$','i') 
                      )"></assert>
<!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text 
            CONTAINS SET("(", ")", "<", ">", ",", ";", ":", "\",  """, "]", "[")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.430229" diagnostics="DVR.ATO.GEN.430229" test="not(
                          matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(.*)(\&#x28;|\&#x29;|&#x3C;|&#x3E;|&#x2C;|&#x3B;|&#x3A;|\&#x5C;|&#x22;|\&#x5D;|\&#x5B;)(.*)$','i') 
                      )"></assert>
<!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN "@")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.430230" diagnostics="DVR.ATO.GEN.430230" test="not(
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[string-length(normalize-space(.)) != 0 
                                 and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^(.*)(@)(.*)$','i'))]
                      )"></assert>
<!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text = FOUND(" ")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.430231" diagnostics="DVR.ATO.GEN.430231" test="not(
                            pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1') and matches(.,'^(.*)(&#x20;)(.*)$','i')]
                      )"></assert>
<!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN ".")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.430232" diagnostics="DVR.ATO.GEN.430232" test="not(
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[string-length(normalize-space(.)) != 0 
                                 and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^(.*)(\&#x2E;)(.*)$','i'))]
                      )"></assert>
</rule>
</pattern>