﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ReportAmendmentContent" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Lodge ReportAmendment Validations</title>


<rule context="pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]">
<!--
            Rule ID: VR.ATO.GEN.010030
        
		    IF pyin.xx.xx:Report.AmendmentSequence.Number <> NULL AND pyin.xx.xx:Report.AmendmentSequence.Number <> SET(1-9)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.010030" diagnostics="DVR.ATO.GEN.010030" test="matches(.,'^[1-9]$')"></assert>
</rule>

<rule context="pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1')]">
</rule>

<rule context="xbrli:xbrl[not(@i:nil = 'true' or @i:nil = '1')]">
<!--
        Rule ID: VR.ATO.GEN.010028
        
        IF pyin.xx.xx:Report.Amendment.Indicator = TRUE 
        AND (
                pyin.xx.xx:Report.AmendmentSequence.Number = NULL OR 
                pyin.xx.xx:Report.AmendmentType.Code = NULLORBLANK OR 
                pyin.xx.xx:Report.AmendmentReason.Text = NULLORBLANK
             )
        RETURN VALIDATION MESSAGE
        ENDIF
    
    	CMN.ATO.GEN.010028
        
    -->


<assert  id="VR.ATO.GEN.010028" diagnostics="DVR.ATO.GEN.010028" subject="pyin.02.07:Report.Amendment.Indicator" test="not(pyin.02.07:Report.Amendment.Indicator[not(@i:nil = 'true' or @i:nil = '1') and(upper-case(.) = 'TRUE' or . = '1')] 
            and(
                not(pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil = 'true' or @i:nil = '1')]) or
                not(pyin.02.08:Report.AmendmentType.Code[not(@i:nil = 'true' or @i:nil = '1') and string-length(normalize-space(.)) != 0]) or
                not(pyin.02.08:Report.AmendmentReason.Text[not(@i:nil = 'true' or @i:nil = '1') and string-length(normalize-space(.)) != 0])
               ))">If the return is an amendment, sequence number, type and reason must be present</assert>
<!--
        Rule ID: VR.ATO.GEN.010029
        
        IF pyin.xx.xx:Report.Amendment.Indicator <> TRUE 
        AND (pyin.xx.xx:Report.AmendmentSequence.Number <> NULL 
        OR pyin.xx.xx:Report.AmendmentType.Code <> NULLORBLANK 
        OR pyin.xx.xx:Report.AmendmentReason.Text <> NULLORBLANK)
        RETURN VALIDATION MESSAGE
        ENDIF
        
        CMN.ATO.GEN.010029

    -->


<assert  id="VR.ATO.GEN.010029" diagnostics="DVR.ATO.GEN.010029" subject="pyin.02.07:Report.Amendment.Indicator" test="not(
                not(pyin.02.07:Report.Amendment.Indicator[not(@i:nil = 'true' or @i:nil = '1') and(upper-case(.) = 'TRUE' or . = '1')] )
                and(
                    pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil = 'true' or @i:nil = '1')] or
                    pyin.02.08:Report.AmendmentType.Code[not(@i:nil = 'true' or @i:nil = '1') and string-length(normalize-space(.)) != 0] or
                    pyin.02.08:Report.AmendmentReason.Text[not(@i:nil = 'true' or @i:nil = '1') and string-length(normalize-space(.)) != 0]))">If the return is an amendment, Amendment Indicator must be 'yes' (true)</assert>
</rule>
</pattern>